com.tibbo.aggregate.common.context

## Enum AwaitableRequestController.Result

- java.lang.Object
- - java.lang.Enum<AwaitableRequestController.Result>
  - - com.tibbo.aggregate.common.context.AwaitableRequestController.Result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AwaitableRequestController.Result>
  Enclosing class:
    AwaitableRequestController

      public static enum AwaitableRequestController.Result
      extends java.lang.Enum<AwaitableRequestController.Result>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE`
    `SUCCESS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AwaitableRequestController.Result` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AwaitableRequestController.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final AwaitableRequestController.Result SUCCESS

    - #### FAILURE

          public static final AwaitableRequestController.Result FAILURE

  - ### Method Detail

    - #### values

          public static AwaitableRequestController.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AwaitableRequestController.Result c : AwaitableRequestController.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AwaitableRequestController.Result valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null